require('../css/index.less');
require('../css/reset.css');
require('../css/popup.css');
require('../js/popup');
const $ = require("jquery");
const { post,config,getUrlArgObject,openNewWin } = require('../js/promise.js');

var msg = {
  age: getUrlArgObject('age'),
  sex: getUrlArgObject('sex') == '男'?1:(getUrlArgObject('sex') == '女'?2:(getUrlArgObject('sex') == '通用'?3:getUrlArgObject('sex'))),
  symptom: getUrlArgObject('symptomJson'),
  vital: getUrlArgObject('vitalJson'),
  lis: getUrlArgObject('lisJson')? JSON.parse(getUrlArgObject('lisJson')) : [],
  pacs: getUrlArgObject('pacsJson'),
  diag: getUrlArgObject('diagJson'),
  diseaseName: getUrlArgObject('diagJson'),
  other: getUrlArgObject('otherJson') + getUrlArgObject('pastJson'),
  hosCode:getUrlArgObject('hospitalCode') || ''
}//推送相关信息

window.msg = msg
window.pushMessage = {}
post(config.pushTreatment,Object.assign({featureType: '8'},msg)).then((res)=>{
  var data = res.data
  if(data.code == 0){
    var result = data.data;
    var num = 0;
    if(result.commonTreatment && result.commonTreatment.content){
      $(".treatPlanNullWrap").css("display","none")
      ++num
      ybzlFun(result.commonTreatment.content)//一般治疗
    }
    if(result.treatment && result.treatment.length>0){
      $(".treatMedicineNullText").css("display","none")
      ++num
      cyywFun(result.treatment)//常用药物
    } 
    
  }else{
    $(".conditionHintZhiliaoNull").css("display","block")
    $(".treatMedicine").css("display","none")
  }
})

function ybzlFun(data){//一般治疗
  $(".conditionHintZhiliaoAp").prepend('<div class="treatPlanWrap clearfix"><p class="treatPlan">一般治疗</p><p class="commonTreat clearfix">'+data+'</p></div>')
  $(".diseaseName").html(' ( '+msg.diag+' )')
}
function cyywFun(data){//常用药物
  for(var i = 0;i < data.length;i++){
    var tmpVal = data[i];
    var str = '<div class="drugType">'+(i+1)+'. '+tmpVal.bigdrugsName+'<p>('+tmpVal.subdrugsName+')</p></div>';
    var strPart = '';
    for(var j = 0;j < tmpVal.medicitionsList.length;j++){
      var tmpPart = tmpVal.medicitionsList[j]
      strPart += '<div class="drug"><span  class="'+(tmpPart.forbidden == 2?'medicine medicineDis':'medicine')+'" data-name='+tmpPart.medicitionName+'>'+tmpPart.medicitionName+(tmpPart.forbidden==0?'':'<span class="medicineWaring">'+(tmpPart.forbidden == 1?'慎用':tmpPart.forbidden == 2?'禁用':'')+'</span>') +'<span class="infoMsg" target="_blank" href="drugInfo.html?type=8&position=5&name='+tmpPart.medicitionName+'" title="点击该名称可看详细说明"></span></span> ' +
        
        '<p class="'+(tmpPart.forbidden == 2?"medicineWaringDisMsg":"")+'"><i>'+tmpPart.rate+'</i> 使用率</p></div>'
    }
    $(".drugWarp").append('<div class="medicinePart clearfix">'+str+'<div class="drugCont">'+strPart+'</div></div>')
  }
  $(".medicine .infoMsg").on("click",function(){
    const infoMsgName = $(this).parent().attr('data-name')
    openNewWin(`information.html?type=8&position=5&name=${infoMsgName}`)
  })
}