require('./css/landscape.css');
require('./css/reset.css');
require('./css/popup.css');
require('./js/popup');
const $ = require("jquery");
const { post,config,getUrlArgObject, openNewWin } = require('./js/promise.js');

const {bqtsFun,ybzlFun,cyywFun,tjwzFun,tjtgFun,tjhyFun,tjfjFun, tjzdFun, slideToggle} = require('./js/landscapeDom.js');
//   symptom: "恶心呕吐腰痛", //胸痛，背痛，恶心，呕吐     //恶心呕吐腰痛   //牙周袋形成

var msg = {
  age: getUrlArgObject('age'),
  sex: getUrlArgObject('sex') == '男'?1:(getUrlArgObject('sex') == '女'?2:(getUrlArgObject('sex') == '通用'?3:getUrlArgObject('sex'))),
  symptom: getUrlArgObject('symptomJson'),
  vital: getUrlArgObject('vitalJson'),
  lis: getUrlArgObject('lisJson')? JSON.parse(getUrlArgObject('lisJson')) : [],
  pacs: getUrlArgObject('pacsJson'),
  diag: getUrlArgObject('diagJson'),
  diseaseName: getUrlArgObject('diagJson'),
  other: getUrlArgObject('otherJson') + getUrlArgObject('pastJson'),
  hosCode:getUrlArgObject('hospitalCode') || ''
}//推送相关信息

window.msg = msg
window.pushMessage = {}

post(config.pushTreatment,Object.assign({featureType: '8'},msg)).then((res)=>{
  var data = res.data
  alert('then')
  if(data.code == 0){
    $(".diseaseName").html(msg.diag)
    var result = data.data;
    var num = 0;
    alert('code0')
    alert('result', JSON.stringify(result))
    alert('result1', result.commonTreatment && result.commonTreatment.content)
    console.log('treatResult', result)
    if(result.commonTreatment && result.commonTreatment.content){
      alert('code01-1')
      $(".treatPlanNull").css("display","none")
      ++num
      ybzlFun(result.commonTreatment.content)//一般治疗
    } else {
      alert('code01-2')
      $(".treatPlanNull").css("display","block")
    }
    if(result.treatment && result.treatment.length>0){
      $(".treatMedicineNull").css("display","none")
      alert('code02-1')
      ++num
      cyywFun(result.treatment)//常用药物
    } else {
      alert('code02-2')
      $(".treatMedicineNull").css("display","block")
      $(".treatMedicine").css("display","none")
    }
    $(".conditionHintZhiliaoAp ").on('click',".slideDown",function(){
      openNewWin(`treatplan.html?age=${msg.age}&sex=${msg.sex}&symptomJson=${msg.symptom}&vitalJson=${msg.vital}&lisJson=${msg.lis}&pacsJson=${msg.pacs}&diagJson=${msg.diag}&otherJson=${msg.other}&hospitalCode=${msg.hosCode}`)
    })
    if(num == 0){
      $(".conditionHintZhiliaoNull").css("display","block")
    }
  }else{
    alert('noTreatResult')
    $(".treatMedicine").css("display","none")
    $(".treatPlanNull").css("display","block")
    $(".treatMedicineNull").css("display","block")
  }
})


post(config.pushInner,Object.assign({featureType: '1,4,5,6,7,22'},msg)).then((res)=>{
  var data = res.data
  if(data.code == 0){
    
    var result = data.data;
    if(result.medicalIndications && result.medicalIndications.length>0){//病情提示
      window.pushMessage = result.medicalIndications;//计算的需要的相关数据
      bqtsFun(result.medicalIndications)
    }
    if(result.dis){
      var proB = result.dis['可能诊断'] || []//可能
      var proY = result.dis['确诊'] || []//确诊
      var proWaring = result.dis['警惕'] || []
      tjzdFun(proWaring, 'warning')
      tjzdFun(proY)
      tjzdFun(proB)
      
      slideToggle($(".conditionHintRecomDiagLis")) 
      $(".infoMsgParent .infoMsg").on("click",function(){
        const infoMsgName = $(this).parent().attr('data-name')
        openNewWin(`information.html?type=7&position=2&name=${infoMsgName}`)
      })
      if(proY.length == 0 && proB.length == 0 && proWaring.length == 0){
        $(".conditionHintRecomDiagLis").css("display","none")
      }else{
        $(".conditionHintRecomDiagLisNull").css("display","none")
      }
    }
    if(result.symptom && result.symptom.length > 0){//推荐问诊症状
      $(".conditionHintWzNull").css("display","none")
      tjwzFun(result.symptom)
    }
    if(result.vital && result.vital.length > 0){//体格检查
      $(".conditionHintTgNull").css("display","none")
      tjtgFun(result.vital)
    }
    if(result.pacs.length > 0 && result.lab.length > 0){
      $(".conditionHintAssistLis").css({
        "border-top":"1px solid #D1D1D1"
      })
    }
    if(result.lab && result.lab.length > 0){//化验
      $(".conditionHintInspectNull").css("display","none")
      $(".conditionHintAssistNull").css("display","none")
      tjhyFun(result.lab)
    }
    if(result.pacs && result.pacs.length > 0){//辅检
      $(".conditionHintInspectNull").css("display","none")
      $(".conditionHintAssistNull").css("display","none")
      tjfjFun(result.pacs)
    }
  }
})

$(".disclaimer").on("click",function() {
  openNewWin("disclaimer.html")
})



