const $ = require("jquery")
const { openNewWin } = require('./promise.js');

function bqtsFun(data){//病情提示
  for(var k = 0;k < data.length;k++){
    var tmpBq = data[k]
    var tmpBqStr = '<p class="mayIllness">患者可能有 <span data-name='+ tmpBq.name+'>'+tmpBq.name+'<span target="_blank" title="点击该名称可看详细说明" class="infoMsg" href="information.html?type=22&position=2&name='+tmpBq.name+'"></span></span> :</p>'
    var tmpBqDetailStr = ''
    for(var m = 0;m < tmpBq.details.length;m++){
      var tmpBqDetail = tmpBq.details[m]
      if(tmpBqDetail.type == 1){
        tmpBqDetailStr = `<span class='illnessTable' data-scaleName=${tmpBqDetail.content.name}>${'【'+tmpBqDetail.content.name+'】'}</span>`
        // tmpBqDetailStr+="<a target='_blank' href='scale.html?featureType=21&sex="+msg.sex+"&lis="+JSON.stringify(msg.lis)+"&diag="+msg.diag+"&scaleName="+tmpBqDetail.content.name+"&symptom="+msg.symptom+"&other="+msg.other+"&pacs="+msg.pacs+"&vital="+msg.vital+"&age="+msg.age+"&scaleId="+tmpBqDetail.content.id+"' class='illnessTable'>"+tmpBqDetail.content.name+"</a>"
      }
    }
    if(tmpBqStr != '' || tmpBqDetailStr != ''){
      $(".conditionHintTipsNull").css("display","none")
    }
    $(".conditionHintTips").append('<div class="conditionMain clearfix">'+tmpBqStr + tmpBqDetailStr+'</div><span class="slideDown">更多 </span>')
    $(".illnessTable").on('click',function(){
      const scaleName = $(this).attr('data-scaleName')
      openNewWin(`scale.html?featureType=21&sex=${msg.sex}&lis=${JSON.stringify(msg.lis)}&diag=${msg.diag}&scaleName=${scaleName}&symptom=${msg.symptom}&other=${msg.other}&pacs=${msg.pacs}&vital=${msg.vital}&age=${msg.age}`)
    })
    $(".conditionHintTips").on('click',".slideDown",function(){
      //点击更多跳转新页面
      // $(this).parents(".commonTreat").removeClass("medicinePartLimitHeightSpec").append('<span class="slideup">收起 <i></i></span>')
      // $(this).remove()
      openNewWin(`illness.html?age=${msg.age}&sex=${msg.sex}&symptomJson=${msg.symptom}&vitalJson=${msg.vital}&lisJson=${msg.lis}&pacsJson=${msg.pacs}&diagJson=${msg.diag}&otherJson=${msg.other}&hospitalCode=${msg.hosCode}`)
    })
  
    
  }
  $(".mayIllness .infoMsg").on("click",function(){
    const infoMsgName = $(this).parent().attr('data-name')
    openNewWin(`information.html?type=22&position=2&name=${infoMsgName}`)
  })
}
function ybzlFun(data){//一般治疗
  console.log('data', data)
  $(".conditionHintZhiliaoAp").prepend('<div class="treatPlanWrap"><p class="treatPlan">一般治疗: </p><div class="commonTreat clearfix">'+ data+'</div></div>')
  var commonTreatHeight = $(".commonTreat").height()
  if(commonTreatHeight > 75){
    $(".commonTreat").addClass('medicinePartLimitHeightSpec').append('<span class="slideDown">更多 </span>')
  }
  // $(".treatPlanWrap").on('click',".slideDown",function(){
    //点击更多跳转新页面
    // $(this).parents(".commonTreat").removeClass("medicinePartLimitHeightSpec").append('<span class="slideup">收起 <i></i></span>')
    // $(this).remove()
  // })
  
}
function cyywFun(data){//常用药物
  for(var i = 0;i < data.length;i++){
    var tmpVal = data[i];
    var str = (i+1)+'. '+tmpVal.bigdrugsName+'('+tmpVal.subdrugsName+'):'
    var strPart = ''
    for(var j = 0;j < tmpVal.medicitionsList.length;j++){
      var tmpPart = tmpVal.medicitionsList[j]
      strPart += '<span class="'+(tmpPart.forbidden == 2?'medicine medicineDis':'medicine')+'" data-name='+tmpPart.medicitionName+'>'+tmpPart.medicitionName+'<span class="infoMsg" target="_blank" href="drugInfo.html?type=8&position=5&name='+tmpPart.medicitionName+'" title="点击该名称可看详细说明"></span></span> <span class="'+(tmpPart.forbidden == 2?'medicineWaringDis':'medicineWaring')+'">'+(tmpPart.forbidden == 1?'慎用':tmpPart.forbidden == 2?'禁用':'')+'</span><span class="'+(tmpPart.forbidden == 2?"medicineWaringDisMsg":"")+'">，使用率'+tmpPart.rate+((j == tmpVal.medicitionsList.length-1)?' ;</span>':', </span>')
    }
    $(".treatMedicine").append('<p class="medicinePart clearfix">'+str+strPart+'</p>')
  }
  $(".treatMedicine").prepend('<p class="treatPlan">药物治疗:</p>')
 
  $(".treatMedicine").append('<span class="slideDown">更多 </span>')
  $(".medicine .infoMsg").on("click",function(){
    const infoMsgName = $(this).parent().attr('data-name')
    openNewWin(`information.html?type=8&position=5&name=${infoMsgName}`)
  })
}
function tjzdFun(data, type) {
    var tmpStr = ''
    for(var i = 0;i < data.length;i++){
        $(".conditionHintMay").css("display","block")
        if(type == 'warning') {
            tmpStr+= `<li class="infoMsgParent warning" data-name="${data[i].name}">
                <i></i>
                ${data[i].name}
                <span  title="点击名称可看详细说明" class="infoMsg"></span>
            </li>`
        } else {
            tmpStr+= `<li class="infoMsgParent" data-name="${data[i].name}">
                ${data[i].name}
                <span  title="点击名称可看详细说明" class="infoMsg"></span>
            </li>`
        }
    }
    $(".conditionHintRecomDiagLis").append(tmpStr)
    
}
function tjwzFun(data){
  var tmpStr = ''
  for(var i = 0;i < data.length;i++){
    tmpStr+='<li>'+data[i].name+'</li>'
  }
  $(".conditionHintWzLis").append(tmpStr)
  slideToggle($(".conditionHintWzLis"))  
}
function tjtgFun(data){
  var tmpStr = ''
  for(var i = 0;i < data.length;i++){
    tmpStr+='<li>'+data[i].name+'</li>'
  }
  $(".conditionHintTgLis").append(tmpStr)
  slideToggle($(".conditionHintTgLis"))  
}
function tjhyFun(data){ //化验
  var tmpStr = ''
  for(var i = 0;i < data.length;i++){
    tmpStr+='<li>'+data[i].name+'</li>'
  }
  $(".conditionHintInspectLis").append(tmpStr)
  slideToggle($(".conditionHintInspectLis"))
}
function tjfjFun(data){
  var tmpStr = ''
  for(var i = 0;i < data.length;i++){
    tmpStr+='<li>'+data[i].name+'</li>'
  }
  $(".conditionHintAssistLis").append('<li>辅检 <i style="color:#ADADAD">|</i></li>'+tmpStr)
  slideToggle($(".conditionHintAssistLis"))
}
function slideToggle(domName){//展开收起
  if(domName.height() > 28){  //展开按钮
    domName.append('<span class="slideDown"><i></i></span>')
  }
  domName.on('click',".slideDown",function(){   //展开
    const iframeWrapHeight = $('.iframeWrap').height()
    const domNameTop = domName.offset().top
    const BottomHeight = iframeWrapHeight - domNameTop
    $(".conditionHintPub").css({"zIndex": "1"});
    $(".push .conditionHintPub").find(".conditionMain").css({"height": "20px", "overflow": "hidden"});
    $('.pushBox').find('ul').css({"height": "20px", "overflow": "hidden"});
    $(".slideUp").removeClass("slideUp").addClass("slideDown")
    domName.append('<span class="slideUp"><i></i></span>')
    domName.parent().parent().parent().css({"zIndex": "2"});
    if(BottomHeight < 52) {
      domName.parent().parent().css({"height": "30px"});
      $(this).parent().css({"height": "30px", "overflow": "auto"})
    } else {
      domName.parent().parent().css({"height": "56px"});
      $(this).parent().css({"height": "56px", "overflow": "auto"})
    }
    $(".pushBoxBorder").removeClass("pushBoxBorder")
    $(this).parent().parent().parent().addClass("pushBoxBorder")
    $(this).remove()
  })
  
  domName.on('click',".slideUp",function(){ //收起
    $(this).parent().scrollTop(0);
    $(this).parent().scrollLeft(0);
    $(".pushBoxBorder").removeClass("pushBoxBorder")
    $(this).parent().css({"height": "20px", "overflow": "hidden"})
    domName.parent().parent().css({"height": "20px", "overflow": "hidden"});
    domName.parent().parent().parent().css({"zIndex": "1"});
    domName.append('<span class="slideDown"><i></i></span>')
    $(this).remove()
  })
}
module.exports = {
  bqtsFun,
  ybzlFun,
  cyywFun,
  tjwzFun,
  tjtgFun,
  tjhyFun,
  tjfjFun,
  tjzdFun,
  slideToggle
}